gnutls_pk_get_id(3)

NAME
gnutls_pk_get_id - Get #gnutls_pk_algorithm_t from a string

SYNOPSIS
#include <gnutls/gnutls.h>

gnutls_pk_algorithm_t gnutls_pk_get_id(const char * name);

ARGUMENTS

const char * name
    is a string containing a public key algorithm name.

DESCRIPTION
Convert a string to a gnutls_pk_algorithm_t value. The names are compared in a case insensitive way. For example, gnutls_pk_get_id("RSA") will return GNUTLS_PK_RSA.

RETURNS
an gnutls_pk_algorithm_tid of the specified in a string public key algorithm, or GNUTLS_PK_UNKNOWN on failures.

SINCE
2.6.0

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.